module QuoineClient
  class ExchangeRate < BaseModel
    attribute :base_currency, String
    attribute :market_bid, Float
    attribute :market_ask, Float
    attribute :mid_rate, Float, default: :default_mid_rate, lazy: true

    private

    def default_mid_rate
      (market_bid + market_ask) / 2.0
    end
  end
end
