FactoryGirl.define do

  factory :quoine_client_product, class: "QuoineClient::Product" do
    sequence(:id) { |n| n }
    currency "USD"
    currency_pair_code "BTCUSD"
  end

  factory :quoine_client_order_book, class: "QuoineClient::OrderBook" do
    sell_price_levels do
      [
        FactoryGirl.build(:quoine_client_order),
        FactoryGirl.build(:quoine_client_order),
      ]
    end
    buy_price_levels do
      [
        FactoryGirl.build(:quoine_client_order),
        FactoryGirl.build(:quoine_client_order),
      ]
    end
  end

  factory :quoine_client_order, class: "QuoineClient::Order" do
    rate 2099
    volume 1.4
  end

end
