module QuoineClient
  class Product < BaseModel
    attribute :id, Integer
    attribute :product_type, String
    attribute :code, String
    attribute :name, String
    attribute :market_ask, Float
    attribute :market_bid, Float
    attribute :indicator, Integer
    attribute :currency, String
    attribute :currency_pair_code, String
    attribute :symbol, String
    attribute :btc_minimum_withdraw, Float
    attribute :fiat_minimum_withdraw, Float
    attribute :pusher_channel, String
    attribute :taker_fee, Float
    attribute :maker_fee, Float
    attribute :low_market_bid, Float
    attribute :high_market_ask, Float
    attribute :volume_24h, Float
    attribute :last_price_24h, Float
    attribute :last_traded_price, Float
    attribute :last_traded_quantity, Float
    attribute :quoted_currency, String
    attribute :base_currency, String
  end
end
