module QuoineClient
  class GetProductResponse < BaseResponse

    attribute(
      :product,
      QuoineClient::Product,
      lazy: true,
      default: :default_product,
    )

    private

    def default_product
      QuoineClient::Product.new(JSON.parse(body))
    end

  end
end

