module QuoineClient
  class ListExchangeRatesResponse < BaseResponse
    attribute(
      :exchange_rates,
      QuoineClient::ExchangeRate,
      lazy: true,
      default: :default_exchange_rate
    )

    private

    def default_exchange_rate
      QuoineClient::ExchangeRate.new(JSON.parse(body))
    end
  end
end
