module QuoineClient
  class ListProductsResponse < BaseResponse

    attribute :products, Array, lazy: true, default: :default_products

    private

    def default_products
      JSON.parse(body).map do |product|
        QuoineClient::Product.new(product)
      end
    end

  end
end

